"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = CreateIndexSitemap;

var utils = _interopRequireWildcard(require("./utils"));

var _xml = _interopRequireDefault(require("xml"));

var _moment = _interopRequireDefault(require("moment"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function CreateIndexSitemap(outFile, pathPrefix, siteURL, data) {
  let xmlData = '';
  const lastModified = (0, _moment.default)(new Date(), _moment.default.ISO_8601).toISOString();
  data.forEach(node => {
    xmlData = xmlData + (0, _xml.default)({
      sitemap: [{
        loc: new URL(_path.default.join(pathPrefix, node), siteURL).toString()
      }, {
        lastmod: lastModified
      }]
    });
  });
  xmlData = utils.sitemapIndexTemplate(xmlData);

  try {
    utils.writeFile(outFile, xmlData);
  } catch (e) {
    throw new Error(`Failed to write ${outFile}:\n  ${e.message}`);
  }
}