"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = CreateSitemapStylesheet;

var utils = _interopRequireWildcard(require("./utils"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function CreateSitemapStylesheet(outFile, pathPrefix, siteUrl) {
  // Replace the `{{blog-url}}` variable with our real site URL
  const sitemapStylesheet = utils.xmlStylesheetTemplate(new URL(_path.default.join(pathPrefix, 'sitemap.xml'), siteUrl).toString()); // Save the updated stylesheet to the public folder, so it will be
  // available for the xml sitemap files

  try {
    utils.writeFile(outFile, sitemapStylesheet);
  } catch (e) {
    throw new Error(`Failed to write ${outFile}:\n  ${e.message}`);
  }
}